Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel
Class PartnerLinkDAOImpl

    java.lang.Object
      org.apache.ode.daohib.bpel.HibernateDao
          org.apache.ode.daohib.bpel.PartnerLinkDAOImpl

All Implemented Interfaces:
  PartnerLinkDAO

    public class PartnerLinkDAOImpl

extends HibernateDao
implements PartnerLinkDAO

Hibernate based {EndpointReferenceDAO} implementation. can either be related to a scope (when it's specific to a scope instance, for example because it has been assigned during the instance execution) or to a process definition (general endpoint configuration).

Field Summary

Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao
`_hobj, _sm`

Constructor Summary
`PartnerLinkDAOImpl(SessionManager sessionManager, HPartnerLink hobj)`

Method Summary
`org.w3c.dom.Element` | `getMyEPR()`
`java.lang.String` | `getMyRoleName()`
`javax.xml.namespace.QName` | `getMyRoleServiceName()` Get the service name associated with this partner link.
`java.lang.String` | `getMySessionId()`
`org.w3c.dom.Element` | `getPartnerEPR()`
`int` | `getPartnerLinkModelId()` Get the model id of the partner link.
`java.lang.String` | `getPartnerLinkName()`
`java.lang.String` | `getPartnerRoleName()`
`java.lang.String` | `getPartnerSessionId()`
`void` | `setMyEPR(org.w3c.dom.Element val)`
`void` | `setMyRoleServiceName(javax.xml.namespace.QName svcName)`
`void` | `setMySessionId(java.lang.String sessionId)`
`void` | `setPartnerEPR(org.w3c.dom.Element val)`
`void` | `setPartnerSessionId(java.lang.String session)`

Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao
`deleteByIds, equals, getDHandle, getHibernateObj, getId, getSession, hashCode, update`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartnerLinkDAOImpl

    public PartnerLinkDAOImpl(SessionManager sessionManager,
                              HPartnerLink hobj)

Method Detail

### getPartnerLinkName

    public java.lang.String getPartnerLinkName()

  Specified by:
    `getPartnerLinkName` in interface `PartnerLinkDAO`

### getPartnerRoleName

    public java.lang.String getPartnerRoleName()

  Specified by:
    `getPartnerRoleName` in interface `PartnerLinkDAO`

### getMyRoleName

    public java.lang.String getMyRoleName()

  Specified by:
    `getMyRoleName` in interface `PartnerLinkDAO`

### getPartnerLinkModelId

    public int getPartnerLinkModelId()

  Description copied from interface: `PartnerLinkDAO`
  Get the model id of the partner link.

  Specified by:
    `getPartnerLinkModelId` in interface `PartnerLinkDAO`
  Returns:

### getMyRoleServiceName

    public javax.xml.namespace.QName getMyRoleServiceName()

  Description copied from interface: `PartnerLinkDAO`
  Get the service name associated with this partner link.

  Specified by:
    `getMyRoleServiceName` in interface `PartnerLinkDAO`
  Returns:

### setMyRoleServiceName

    public void setMyRoleServiceName(javax.xml.namespace.QName svcName)

  Specified by:
    `setMyRoleServiceName` in interface `PartnerLinkDAO`

### getMyEPR

    public org.w3c.dom.Element getMyEPR()

  Specified by:
    `getMyEPR` in interface `PartnerLinkDAO`

### setMyEPR

    public void setMyEPR(org.w3c.dom.Element val)

  Specified by:
    `setMyEPR` in interface `PartnerLinkDAO`

### getPartnerEPR

    public org.w3c.dom.Element getPartnerEPR()

  Specified by:
    `getPartnerEPR` in interface `PartnerLinkDAO`

### setPartnerEPR

    public void setPartnerEPR(org.w3c.dom.Element val)

  Specified by:
    `setPartnerEPR` in interface `PartnerLinkDAO`

### getMySessionId

    public java.lang.String getMySessionId()

  Specified by:
    `getMySessionId` in interface `PartnerLinkDAO`

### getPartnerSessionId

    public java.lang.String getPartnerSessionId()

  Specified by:
    `getPartnerSessionId` in interface `PartnerLinkDAO`

### setPartnerSessionId

    public void setPartnerSessionId(java.lang.String session)

  Specified by:
    `setPartnerSessionId` in interface `PartnerLinkDAO`

### setMySessionId

    public void setMySessionId(java.lang.String sessionId)

  Specified by:
    `setMySessionId` in interface `PartnerLinkDAO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD